All Apps and Add-ons

Splunk MINT HTTP Event Collector and Splunk 6.5.X are not working. Is the Android SDK version not compatible?

JoeScheidegger
New Member

Hi all

We have a Splunk server with the version 6.5.3 running and we want to use the Splunk MINT HEC (HTTP Event Collector) with the Android SDK version 5.2.1 to send logs from our mobile devices.
As Answer we always receive a 400 bad request http code with the message:
{"text":"No data","code":5}
If I look in to the json that is send from client to the server I don't see any time parameter like described here:
https://answers.splunk.com/answers/494830/splunk-652-why-am-i-unable-to-add-data-via-http-ev.html

Is the version of the SDK not compatibles with the version of the server?

Thanks
joe

0 Karma

croyal_splunk
Splunk Employee
Splunk Employee

MINT HEC should be compatible with Splunk 6.5.3. See Docs and HEC Docs for details.

0 Karma

JoeScheidegger
New Member

Hi croyal

The problem ist that we have a running Splunk server and we always get a 400 bad request {"text":"No data","code":5} as response,

0 Karma
Did you miss .conf21 Virtual?

Good news! The event's keynotes and many of its breakout sessions are now available online, and still totally FREE!